# Overview of registered webhooks

Returns the list of webhooks, registered by the specific addon for a
single e-shop. It is therefore bound to the specific installation.

The addon does not have any access to another addon (not even for the
same e-shop, or two addons from the same developer).

Endpoint: GET /api/webhooks
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `itemsPerPage` (integer)
    Returned items per page. Default value is 20. Max value is 500.
    Example: 50

  - `page` (integer)
    Page number to return. Default value is 1.
    Example: 3

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.webhooks` (array, required)

  - `data.webhooks.id` (integer, required)
    notification unique ID

  - `data.webhooks.event` (string, required)
    event, see [Webhook event types](#section/code-lists/webhook-event-types) code list

  - `data.webhooks.url` (string, required)
    webhook URL

  - `data.webhooks.created` (string,null, required)
    webhook registration date

  - `data.webhooks.updated` (string,null, required)
    webhook update date (can be null)

  - `data.paginator` (object, required)

  - `data.paginator.totalCount` (integer, required)
    total number of available records

  - `data.paginator.page` (integer, required)
    current page

  - `data.paginator.pageCount` (integer, required)
    total available of pages

  - `data.paginator.itemsOnPage` (integer, required)
    number of currently returned records

  - `data.paginator.itemsPerPage` (integer, required)
    required number of records per page

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


